Bug 24220 - Convert OpacMoreSearches system preference to news block
Summary: Convert OpacMoreSearches system preference to news block
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on: 22880 27451
Blocks: 26050
  Show dependency treegraph
 
Reported: 2019-12-11 19:16 UTC by Owen Leonard
Modified: 2022-02-07 17:29 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 24220: Move OpacMoreSearches to HTML customizations in additional-contents (7.44 KB, patch)
2022-01-14 01:09 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24220: Move OpacMoreSearches to HTML customizations in additional-contents (7.44 KB, patch)
2022-01-14 01:21 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24220: Move OpacMoreSearches to HTML customizations in additional-contents (7.50 KB, patch)
2022-01-14 13:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24220: Move OpacMoreSearches to HTML customizations in additional-contents (7.58 KB, patch)
2022-01-28 09:18 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-12-11 19:16:09 UTC
Building on 22318, the OpacMoreSearches system preference should be converted to a Koha news block.
Comment 1 Lucas Gass 2022-01-14 01:09:38 UTC
Created attachment 129456 [details] [review]
Bug 24220: Move OpacMoreSearches to HTML customizations in additional-contents

To test:
1- Before applying the patch add some content to the system preference OpacMoreSearches
2- Apply patch
3- restart_all and updatedatabase
4. Go to additional-content.pl ( HTML customizations )
5. You should now see your content from the system preference under OpacMoreSearches in HTML customizations
6. Try searching for the system preference, OpacMoreSeaches. It has been removed and you should not be able to find it.
7. Try changing/removing/adding content from OpacMoreSearches in HTML customizations
8. Make sure your edits are reflected when you look at the OpacMoreSearch area in the OPAC.
Comment 2 Lucas Gass 2022-01-14 01:21:58 UTC
Created attachment 129457 [details] [review]
Bug 24220: Move OpacMoreSearches to HTML customizations in additional-contents

To test:
1- Before applying the patch add some content to the system preference OpacMoreSearches
2- Apply patch
3- restart_all and updatedatabase
4. Go to additional-content.pl ( HTML customizations )
5. You should now see your content from the system preference under OpacMoreSearches in HTML customizations
6. Try searching for the system preference, OpacMoreSeaches. It has been removed and you should not be able to find it.
7. Try changing/removing/adding content from OpacMoreSearches in HTML customizations
8. Make sure your edits are reflected when you look at the OpacMoreSearch area in the OPAC.
Comment 3 Owen Leonard 2022-01-14 13:23:08 UTC
Created attachment 129480 [details] [review]
Bug 24220: Move OpacMoreSearches to HTML customizations in additional-contents

To test:
1- Before applying the patch add some content to the system preference
   OpacMoreSearches
2- Apply patch
3- restart_all and updatedatabase
4. Go to additional-content.pl ( HTML customizations )
5. You should now see your content from the system preference under
   OpacMoreSearches in HTML customizations
6. Try searching for the system preference, OpacMoreSeaches. It has been
   removed and you should not be able to find it.
7. Try changing/removing/adding content from OpacMoreSearches in HTML
   customizations
8. Make sure your edits are reflected when you look at the
   OpacMoreSearch area in the OPAC.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Jonathan Druart 2022-01-28 09:18:35 UTC
Created attachment 129920 [details] [review]
Bug 24220: Move OpacMoreSearches to HTML customizations in additional-contents

To test:
1- Before applying the patch add some content to the system preference
   OpacMoreSearches
2- Apply patch
3- restart_all and updatedatabase
4. Go to additional-content.pl ( HTML customizations )
5. You should now see your content from the system preference under
   OpacMoreSearches in HTML customizations
6. Try searching for the system preference, OpacMoreSeaches. It has been
   removed and you should not be able to find it.
7. Try changing/removing/adding content from OpacMoreSearches in HTML
   customizations
8. Make sure your edits are reflected when you look at the
   OpacMoreSearch area in the OPAC.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Fridolin Somers 2022-02-01 07:56:38 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄